<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.cslg.report.mapper.CompareRecordsMapper">
   <select id="find" resultType="cn.cslg.report.entity.CompareRecords">
       select *  from COMPARE_RECORDS where PATENT_NO=#{patentNo} and PERSON_ID=#{personId} and REPORT_ID=#{reportId}
   </select>

<select id="getCompareRecords" resultType="cn.cslg.report.entity.CompareRecords">
    select * from COMPARE_RECORDS where REPORT_ID=#{reportId}
</select>
    <select id="findCompareRecords" resultType="cn.cslg.report.entity.CompareRecords">
        select * from COMPARE_RECORDS where PERSON_ID=#{personId}
    </select>
    <update id="updateCompareRecords">
        update COMPARE_RECORDS set FEATURES_ID=#{featuresId} where ID=#{id}
    </update>

</mapper>